Bug 1801 - client failure in oplock break
client failure in oplock break
Status: RESOLVED WORKSFORME
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.7
All Windows XP
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-21 06:47 UTC by Anderson
Modified: 2005-03-21 07:11 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anderson 2004-09-21 06:47:54 UTC
Up to date for samba 3.0.7 and I found many problems with
this version, I came back to use version 3.0.5. The problem occurs in
the service netlogon, tried to disable oplocks more the problem continued.

level2 oplocks = no
oplocks = no


[2004/09/17 17:16:23, 1] smbd/service.c:make_connection_snum(648)
  anderson (172.20.3.85) connect to service netlogon initially as user root 
(uid=0, gid=502) (pid 20315)
[2004/09/17 17:17:04, 0] smbd/oplock.c:oplock_break(839)
  oplock_break: receive_smb timed out after 30 seconds.
  oplock_break failed for file gutofavero.bat (dev = 6802, inode = 98312, 
file_id = 1).
[2004/09/17 17:17:04, 0] smbd/oplock.c:oplock_break(911)
  oplock_break: client failure in oplock break in file gutofavero.bat
[2004/09/17 17:17:48, 0] lib/util_sock.c:read_socket_data(384)
  read_socket_data: recv failure for 4. Error = Connection reset by pear
[2004/09/17 17:17:48, 1] smbd/service.c:close_cnum(837)
  anderson (172.20.3.85) closed connection to service netlogon
[2004/09/17 17:17:48, 1] smbd/service.c:make_connection_snum(648)
  anderson (172.20.3.85) connect to service netlogon initially as user root 
(uid=0, gid=502) (pid 20316)
[2004/09/17 17:18:56, 0] lib/util_sock.c:read_socket_data(384)
  read_socket_data: recv failure for 4. Error = Connection reset by pear
[2004/09/17 17:18:56, 1] smbd/service.c:close_cnum(837)
  anderson (172.20.3.85) closed connection to service netlogon
Comment 1 Anderson 2004-09-21 06:56:20 UTC
It occurred in version 3.0.6 they.
I using xp sp2.
Comment 2 Gerald (Jerry) Carter 2005-02-08 21:07:05 UTC
please retest against 3.0.11.  There are no other reports of a
bad oplock implementation.  Generally this can be attributed to
client bugs ro bad network hardware.
Comment 3 Thomas Lucke 2005-03-21 07:11:49 UTC
(In reply to comment #2)
> please retest against 3.0.11.  There are no other reports of a
> bad oplock implementation.  Generally this can be attributed to
> client bugs ro bad network hardware.

We have installed 300 Samba 3.0.6 Server as Fileserver as Workgroup Server , to 
share Word and Access files for Windows XP SP1 . In some cases the following 
error occures:

File Server stops responding for ca. 30-60 sek. At this time we have following 
logfile :

[2005/04/13 19:18:11, 0] smbd/oplock.c:oplock_break(841)
  oplock_break: receive_smb timed out after 30 seconds.
  oplock_break failed for file Vorlagen/Adreßköpfe/NORMAL.DOT (dev = 303, inode 
= 392881, file_id = 17013).
[2005/04/13 19:18:11, 0] smbd/oplock.c:oplock_break(913)
  oplock_break: client failure in oplock break in file 
Vorlagen/Adreßköpfe/NORMAL.DOT
[2005/04/13 19:18:11, 0] smbd/reply.c:reply_lockingX(4629)
  reply_lockingX: Error : oplock break from client for fnum = 13075 and no 
oplock granted on this file (Vorlagen/Adreßköpfe/NORMAL.DOT).

We can reproduce this erorr with a special set of own Word Templates, when we 
create a new Word file. After this error the network perfomance seams to be 
poor (Redirector turn off the oplock / cache ) until you reboot the windows 
machine. In your test-lab the updated samba 3.0.11 server have the same 
problem. In all this cases when the error occurs , I permit the network is fine 
and we can see the error if only one client is working.